QT       += core gui axcontainer

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    TableHelper.cpp \
    WzExcel.cpp \
    main.cpp \
    mainwindow.cpp

HEADERS += \
    TableHelper.h \
    WzExcel.h \
    mainwindow.h \
    template/Model.cpp.template \
    template/Model.h.template \
    template/MultipleWidget.cpp.template \
    template/MultipleWidget.h.template \
    template/Service.cpp.template \
    template/Service.h.template \
    template/Widget.cpp.template \
    template/Widget.h.template

FORMS += \
    mainwindow.ui \
    template/MultipleWidget.ui.template \
    template/Widget.ui.template

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

INCLUDEPATH += ../include
